%define	name	fuse
%define	version	2.3.0
%define	rel	2
%define	release	%mkrel %{rel}
%define major	2
%define libname	%mklibname %{name} %{major}
%define libnamedev %mklibname %{name} %{major} -d
%define	libnamestaticdev %mklibname %{name} %{major} -d -s

Summary:	Interface for userspace programs to export a virtual filesystem to the kernel
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Libraries
Source:		%{name}-%{version}.tar.bz2
URL:		http://sourceforge.net/projects/fuse/
BuildRequires:	kernel-source
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
FUSE (Filesystem in USErspace) is a simple interface for userspace
programs to export a virtual filesystem to the linux kernel.  FUSE
also aims to provide a secure method for non privileged users to
create and mount their own filesystem implementations.

%package -n	%{libnamedev}
Summary:	Header files and development libraries for libfuse2
Group:		Development/C
Provides:	lib%{name}-devel = %{version}-%{release} %{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n	%{libnamedev}
Header files and development libraries for fuse.

%package -n	%{libname}
Summary:	Libraries for fuse
Group:		Development/C

%description -n	%{libname}
Libraries for fuse.

%package -n	%{libnamestaticdev}
Summary:	Static libraries for fuse
Group:		Development/C
Provides:	libfuse-static-devel = %{version}-%{release}

%description -n %{libnamestaticdev}
Static libraries for fuse.

%package -n	dkms-%{name}
Summary:	Linux kernel module for FUSE (Filesystem in Userspace)
Group:		System/Kernel
Requires(post,preun):	dkms

%description -n	dkms-%{name}
FUSE (Filesystem in USErspace) is a simple interface for userspace
programs to export a virtual filesystem to the linux kernel.  FUSE
also aims to provide a secure method for non privileged users to
create and mount their own filesystem implementations.

This package provides the kernel module part.

%prep
%setup -q 

%build
%configure2_5x --disable-kernel-module
%make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

install -d -m 755 %{buildroot}%{_prefix}/src
cp -a kernel %{buildroot}%{_prefix}/src/%{name}-%{version}

cat > %{buildroot}%{_prefix}/src/%{name}-%{version}/dkms.conf <<EOF

PACKAGE_VERSION="%{version}"

# Items below here should not have to change with each driver version
PACKAGE_NAME="%{name}"
MAKE[0]="./configure && make"
CLEAN="test ! -f Makefile && /bin/true || make clean"

BUILT_MODULE_NAME[0]="\$PACKAGE_NAME"
DEST_MODULE_LOCATION[0]="/kernel/fs/\$PACKAGE_NAME/"

AUTOINSTALL=yes
REMAKE_INITRD=no

EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post -n dkms-%{name}
dkms add -m %{name} -v %{version} --rpm_safe_upgrade
dkms build -m %{name} -v %{version} --rpm_safe_upgrade
dkms install -m %{name} -v %{version} --rpm_safe_upgrade

if [ $1 = 1 ]; then
grep '[^#]*%{name}' %{_sysconfdir}/modprobe.preload || echo %{name} >> %{_sysconfdir}/modprobe.preload
modprobe %{name}
fi

%preun -n dkms-%{name}
dkms remove -m %{name} -v %{version} --rpm_safe_upgrade --all ||:

%postun -n dkms-%{name}
if [ $1 = 0 ]; then
	sed -i '/.*%{name}/d' /etc/modprobe.preload
fi

%files
%defattr(-,root,root)
%doc README.NFS AUTHORS README Filesystems README-2.4 ChangeLog COPYING.LIB NEWS
%{_bindir}/fusermount

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libnamedev}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%files -n %{libnamestaticdev}
%defattr(-,root,root)
%{_libdir}/libfuse.la
%{_libdir}/libfuse.a

%files -n dkms-%{name}
%defattr(-,root,root)
%{_prefix}/src/%{name}-%{version}

%changelog
* Wed Jun 29 2005 Pascal Terjan <pterjan@mandriva.org> 2.3.0-2mdk
- add dkms subpackage

* Sun Jun 12 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.3.0-1mdk
- 2.3.0

* Wed May 18 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.2.1-2mdk
- fix provides
- compile with $RPM_OPT_FLAGS
- %%mkrel
- fix summary-ended-with-dot
- cosmetics

* Mon May 09 2005 Lenny Cartier <lenny@mandriva.com> 2.2.1-1mdk
- 2.2.1

* Mon Oct 04 2004 Tigrux <tigrux@ximian.com> 1.9-1mdk
- New version

* Mon Oct 04 2004 Tigrux <tigrux@ximian.com> 1.3-1mdk
- First rpm for Mandrake
